=== debian/changelog ===
qtop (2.3.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/patches:
    - Refresh patches for new upstream version.
    - Make patches DEP3 compliant.
  * Add debian/menu and debian/add_desktop.patch, so qtop has a valid 
    menu entry.
  * debian/qtop.1:
    - Refresh manpage for new upstream version.
  * debian/control:
    - Make description clearer (replace 'It' by 'qtop').
    - Include dpkg buildflags.
  * debian/control, debian/copyright:
    - Change the Maintainer's e-mail address.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 20 Sep 2015 12:39:26 +0200

qtop (2.2.5-1) experimental; urgency=low

  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Add Vcs-Svn and Vcs-Browser fields.
    - Fix Lintian build-depends-on-metapackage error: Replace qt4-default
      build-dependency by libqt4-dev.
  * debian/watch:
    - Update URL as the old one resulted in "403 permission denied".
  * debian/copyright:
    - Update copyright years.
  * debian/patches/name.patch:
    - Refresh patches for new upstream version.
  * debian/qtop.1:
    - Update year and version.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 24 Jan 2015 11:40:21 +0100
