=== debian/control ===
Source: qtop
Section: admin
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9.0.0),
               dpkg-dev (>= 1.16.1~),
               libxcb-keysyms1-dev,
               libqt4-dev,
               xdg-utils,
               libx11-dev,
               pkg-config,
               libx11-xcb-dev
Standards-Version: 3.9.6
Homepage: http://hugo.pereira.free.fr/software/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/qtop/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/qtop/trunk/

Package: qtop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: windowed version of the console top command
 qtop provides a dynamic real-time view of a running system. It has only
 a small fraction of the options provided by its console counterparts,
 but hopefully the most used ones.
