=== debian/watch ===
version=3
http://hugo.pereira.free.fr/software/index.php?page=package&package_list=software_list_qt4&package=Top&full=0 tgz/Top-(.+).tar.gz
