=== base-notifications/CMakeLists.txt ===
--- 
+++ 
@@ -10,36 +10,26 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
+  find_package(Qt5DBus)
 
 else()
 
   find_package(Qt4 REQUIRED)
+
+  if(UNIX AND NOT APPLE)
+
+    set(QT_USE_QTDBUS TRUE)
+
+  else()
+
+    add_definitions("-DQT_NO_DBUS")
+
+  endif()
+
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
 endif()
-
-############ Notifications
-find_package(PkgConfig)
-if(PKG_CONFIG_FOUND)
-
-  PKG_CHECK_MODULES(LIBNOTIFY libnotify)
-  if(LIBNOTIFY_FOUND)
-    include_directories(${LIBNOTIFY_INCLUDE_DIRS})
-    add_definitions(-DWITH_LIBNOTIFY=${LIBNOTIFY_FOUND})
-
-  else()
-
-    add_definitions(-DWITH_LIBNOTIFY=FALSE)
-
-  endif()
-
-else()
-
-  add_definitions(-DWITH_LIBNOTIFY=FALSE)
-
-endif()
-
 
 ########### includes ###############
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -52,6 +42,7 @@
 
 ########### next target ###############
 set(base_notifications_SOURCES
+  ImageData.cpp
   SystemNotifications.cpp
   SystemNotifications_p.cpp
 )
@@ -73,9 +64,14 @@
 if(USE_QT5)
 
   qt5_use_modules(base-notifications Widgets)
+  if(Qt5DBus_FOUND )
+
+    qt5_use_modules(base-notifications DBus)
+
+  else()
+
+    add_definitions("-DQT_NO_DBUS")
+
+  endif()
 
 endif()
-
-if(LIBNOTIFY_FOUND)
-  target_link_libraries(base-notifications ${LIBNOTIFY_LIBRARIES})
-endif()
