=== base-qt/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
   find_package(Qt5Gui REQUIRED)
   find_package(Qt5Widgets REQUIRED)
+  find_package(Qt5Network REQUIRED)
   find_package(Qt5Xml REQUIRED)
   find_package(Qt5PrintSupport REQUIRED)
 
@@ -25,6 +26,7 @@
 
   find_package(Qt4 REQUIRED)
   set(QT_USE_QTXML TRUE)
+  set(QT_USE_QTNETWORK TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
@@ -62,7 +64,9 @@
   BaseFileIconProvider.cpp
   BaseFileInfo.cpp
   BaseFileInfoConfigurationWidget.cpp
+  BaseFileInfoIconView.cpp
   BaseFileInfoToolTipWidget.cpp
+  BaseFileInfoItemDelegate.cpp
   BaseFileInformationDialog.cpp
   BaseFindDialog.cpp
   BaseFindWidget.cpp
@@ -73,6 +77,7 @@
   BaseProgressBar.cpp
   BaseReplaceDialog.cpp
   BaseReplaceWidget.cpp
+  BaseSocketInterface.cpp
   BaseStatusBar.cpp
   BaseToolTipWidget.cpp
   BlockHighlight.cpp
@@ -137,6 +142,8 @@
   LogWidget.cpp
   MimeTypeIconProvider.cpp
   MultipleClickCounter.cpp
+  OpenWithComboBox.cpp
+  OpenWithDialog.cpp
   OptionBrowsedLineEditor.cpp
   OptionCheckBox.cpp
   OptionColorDisplay.cpp
@@ -201,7 +208,6 @@
   XmlDocument.cpp
   XmlFileList.cpp
   XmlFileRecord.cpp
-  XmlMigration.cpp
   XmlOption.cpp
   XmlOptions.cpp
   XmlPathHistory.cpp
@@ -247,7 +253,7 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-qt Gui Widgets Xml PrintSupport)
+  qt5_use_modules(base-qt Gui Widgets Network PrintSupport Xml)
   if(WIN32)
     qt5_use_modules(base-qt WinExtras)
   endif()
