=== base-server/CMakeLists.txt ===
--- 
+++ 
@@ -75,7 +75,13 @@
 
   qt5_use_modules(base-server Widgets Network Xml)
   if(Qt5DBus_FOUND )
+
     qt5_use_modules(base-server DBus)
+
+  else()
+
+    add_definitions("-DQT_NO_DBUS")
+
   endif()
 
 endif()
