=== base-ssh/CMakeLists.txt ===
--- 
+++ 
@@ -42,10 +42,8 @@
 
 ########### next target ###############
 set(base_ssh_SOURCES
-  SshChannelThread.cpp
   SshConnection.cpp
   SshConnectionAttributes.cpp
-  SshListeningThread.cpp
   SshLoginDialog.cpp
   SshSingleton.cpp
   SshSocket.cpp
