=== debian/changelog ===
qtop (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/menu (useless because of qtop.desktop).
  * Remove debian/patches/fixARM.patch: Integrated in new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Update Vcs-Browser and Homepage fields to use an encrypted 
      transport protocol.
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Add hardening flags.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 13 Sep 2016 11:06:26 +0200
