=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libx11-dev,
                pkg-config,
                libx11-xcb-dev
-Standards-Version: 3.9.6
-Homepage: http://hugo.pereira.free.fr/software/
+Standards-Version: 3.9.8
+Homepage: https://hugo.pereira.free.fr/software/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/qtop/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/qtop/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/qtop/trunk/
 
 Package: qtop
 Architecture: any
