## qtop 2.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(Top)
 set(TOP_VERSION_MAJOR 2)
 SET(TOP_VERSION_MINOR 3)
-SET(TOP_VERSION_PATCH 3)
+SET(TOP_VERSION_PATCH 4)
 set(TOP_VERSION ${TOP_VERSION_MAJOR}.${TOP_VERSION_MINOR}.${TOP_VERSION_PATCH})
 
 ########### modules #################
