=== base-help/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,10 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
-  find_package(Qt5Xml REQUIRED)
 
 else()
 
   find_package(Qt4 REQUIRED)
-  set(QT_USE_QTXML TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
@@ -33,7 +31,6 @@
 ########### next target ###############
 set(base_help_SOURCES
   HelpDialog.cpp
-  HelpItem.cpp
   HelpManager.cpp
   HelpModel.cpp
  )
@@ -54,6 +51,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-help Widgets Xml)
+  target_link_libraries(base-help Qt5::Widgets)
 
 endif()
