=== base-notifications/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,7 @@
   ImageData.cpp
   SystemNotifications.cpp
   SystemNotifications_p.cpp
+  TaskBarProgressNotifications.cpp
 )
 
 if(ENABLE_SHARED)
@@ -63,10 +64,10 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-notifications Widgets)
+  target_link_libraries(base-notifications Qt5::Widgets)
   if(Qt5DBus_FOUND )
 
-    qt5_use_modules(base-notifications DBus)
+    target_link_libraries(base-notifications Qt5::DBus)
 
   else()
