=== base-qt/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,13 @@
 ########### Qt configuration #########
 if(USE_QT5)
 
-  find_package(Qt5Gui REQUIRED)
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5Network REQUIRED)
   find_package(Qt5Xml REQUIRED)
   find_package(Qt5PrintSupport REQUIRED)
 
   if(WIN32)
-  find_package(Qt5WinExtras REQUIRED)
+    find_package(Qt5WinExtras REQUIRED)
   endif()
 
   # needed to access QPA classes
@@ -25,8 +24,8 @@
 else()
 
   find_package(Qt4 REQUIRED)
+  set(QT_USE_QTNETWORK TRUE)
   set(QT_USE_QTXML TRUE)
-  set(QT_USE_QTNETWORK TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
@@ -35,11 +34,16 @@
 ########### X11 #########
 if(UNIX AND NOT APPLE)
 
-  find_package(X11)
   find_package(XCB COMPONENTS XCB KEYSYMS)
   find_package(X11_XCB)
-  if( X11_FOUND AND XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND AND X11_XCB_FOUND )
-      add_definitions(-DHAVE_XCB=1)
+  if( XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND AND X11_XCB_FOUND )
+
+    add_definitions(-DHAVE_XCB=1)
+
+    if(USE_QT5)
+      find_package(Qt5X11Extras REQUIRED)
+    endif()
+
   else()
     add_definitions(-DHAVE_XCB=0)
   endif()
@@ -101,6 +105,7 @@
   CursorMonitor.cpp
   CustomComboBox.cpp
   CustomDialog.cpp
+  CustomMenu.cpp
   CustomPixmap.cpp
   CustomSlider.cpp
   CustomTextDocument.cpp
@@ -119,9 +124,11 @@
   FileList.cpp
   FilePermissionsWidget.cpp
   FileRecordModel.cpp
+  FileRecordToolTipWidget.cpp
   FileSystemWatcher.cpp
   FontEditor.cpp
   FontInfo.cpp
+  GridLayout.cpp
   GridLayoutItem.cpp
   HtmlDialog.cpp
   HtmlTextNode.cpp
@@ -142,6 +149,7 @@
   LogWidget.cpp
   MimeTypeIconProvider.cpp
   MultipleClickCounter.cpp
+  NetworkConnectionMonitor.cpp
   OpenWithComboBox.cpp
   OpenWithDialog.cpp
   OptionBrowsedLineEditor.cpp
@@ -171,7 +179,6 @@
   RecentFilesConfiguration.cpp
   RecentFilesMenu.cpp
   RemoveLineBuffer.cpp
-  RoundedPath.cpp
   RoundedRegion.cpp
   ScratchFileMonitor.cpp
   ScratchFileRemoveDialog.cpp
@@ -187,6 +194,7 @@
   TextEditionDelegate.cpp
   TextEncodingDialog.cpp
   TextEncodingMenu.cpp
+  TextEncodingString.cpp
   TextEncodingWidget.cpp
   TextPosition.cpp
   TextSeparator.cpp
@@ -213,7 +221,6 @@
   XmlPathHistory.cpp
   XmlTextFormatBlock.cpp
   XmlTimeStamp.cpp
-  XmlString.cpp
 )
 
 set(base_qt_RESOURCES basePixmaps.qrc)
@@ -241,9 +248,8 @@
 
 endif()
 
-if(X11_FOUND)
-
-  target_link_libraries(base-qt ${X11_X11_LIB})
+if(XCB_FOUND)
+
   target_link_libraries(base-qt ${XCB_LIBRARIES})
   target_link_libraries(base-qt ${X11_XCB_LIBRARIES})
 
@@ -253,9 +259,13 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-qt Gui Widgets Network PrintSupport Xml)
+  target_link_libraries(base-qt Qt5::Widgets Qt5::Network Qt5::PrintSupport Qt5::Xml)
   if(WIN32)
-    qt5_use_modules(base-qt WinExtras)
-  endif()
-
-endif()
+    target_link_libraries(base-qt Qt5::WinExtras)
+  endif()
+
+  if(XCB_FOUND)
+    target_link_libraries(base-qt Qt5::X11Extras)
+  endif()
+
+endif()
