=== base-server/CMakeLists.txt ===
--- 
+++ 
@@ -12,30 +12,24 @@
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5Network REQUIRED)
   find_package(Qt5Xml REQUIRED)
-  find_package(Qt5DBus)
 
 else()
 
   find_package(Qt4 REQUIRED)
+  set(QT_USE_QTNETWORK TRUE)
   set(QT_USE_QTXML TRUE)
-  set(QT_USE_QTNETWORK TRUE)
-
-  if(UNIX AND NOT APPLE)
-
-    set(QT_USE_QTDBUS TRUE)
-
-  else()
-
-    add_definitions("-DQT_NO_DBUS")
-
-  endif()
-
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
 endif()
 
 # DBUS: is forced to false on APPLE
+
+########### kde config ###############
+find_program(KDE_CONFIG NAMES kf5-config kde4-config)
+
+########### configuration files ###############
+configure_file(ServerSystemOptions.h.cmake ServerSystemOptions.h)
 
 ########### includes ###############
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -73,10 +67,10 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-server Widgets Network Xml)
+  target_link_libraries(base-server Qt5::Widgets Qt5::Network Qt5::Xml)
   if(Qt5DBus_FOUND )
 
-    qt5_use_modules(base-server DBus)
+    target_link_libraries(base-server Qt5::DBus)
 
   else()
