=== base-spellcheck/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
-  find_package(Qt5Network REQUIRED)
 
 else()
 
@@ -66,6 +65,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-spellcheck Widgets Network)
+  target_link_libraries(base-spellcheck Qt5::Widgets)
 
 endif()
