=== base-ssh/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,22 @@
 endif()
 
 ########### ssh #########
-find_package( PkgConfig REQUIRED )
-pkg_check_modules(LIBSSH2 libssh2>=1.2.8)
-if(${LIBSSH2_FOUND})
-   add_definitions(-DHAVE_SSH=1)
+find_package( PkgConfig )
+if(${PKG_CONFIG_FOUND})
+
+  pkg_check_modules(LIBSSH2 libssh2>=1.2.8)
+
+endif()
+
+if(LIBSSH2_FOUND)
+
+  add_definitions(-DHAVE_SSH=1)
   include_directories(${LIBSSH2_INCLUDE_DIRS})
+
 else()
-   add_definitions(-DHAVE_SSH=0)
+
+  add_definitions(-DHAVE_SSH=0)
+
 endif()
 
 ########### includes #########
@@ -42,8 +51,12 @@
 
 ########### next target ###############
 set(base_ssh_SOURCES
+  SshBaseSocket.cpp
   SshConnection.cpp
   SshConnectionAttributes.cpp
+  SshFileReadSocket.cpp
+  SshFileTransferObject.cpp
+  SshFileWriteSocket.cpp
   SshLoginDialog.cpp
   SshSingleton.cpp
   SshSocket.cpp
@@ -76,6 +89,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-ssh Widgets Network)
+  target_link_libraries(base-ssh Qt5::Widgets Qt5::Network)
 
 endif()
