=== base-svg/CMakeLists.txt ===
--- 
+++ 
@@ -11,21 +11,38 @@
 
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5Svg REQUIRED)
+  find_package(Qt5Xml REQUIRED)
 
 else()
 
   find_package(Qt4 REQUIRED)
   set(QT_USE_QTSVG TRUE)
+  set(QT_USE_QTXML TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
 endif()
 
-########### aspell ###############
-if(USE_QT5)
-find_program(KDE4_CONFIG kf5-config)
+########### kde config ###############
+find_program(KDE_CONFIG NAMES kf5-config kde4-config)
+
+########### zlib ###############
+find_package(PkgConfig)
+if(${PKG_CONFIG_FOUND})
+
+  pkg_check_modules(ZLIB zlib )
+
+endif()
+
+if(ZLIB_FOUND)
+
+  include_directories(${ZLIB_INCLUDE_DIRS})
+  add_definitions(-DWITH_ZLIB=${ZLIB_FOUND})
+
 else()
-find_program(KDE4_CONFIG kde4-config)
+
+  add_definitions(-DWITH_ZLIB=0)
+
 endif()
 
 ########### configuration files ###############
@@ -43,6 +60,7 @@
 
 ########### next target ###############
 set(base_svg_SOURCES
+  BaseSvgRenderer.cpp
   SvgConfiguration.cpp
   SvgEngine.cpp
   SvgPlasmaInterface.cpp
@@ -76,8 +94,14 @@
 
 target_link_libraries(base-svg ${QT_LIBRARIES} base-transparency)
 
+if( ZLIB_FOUND )
+
+  target_link_libraries(base-svg ${ZLIB_LIBRARIES})
+
+endif()
+
 if(USE_QT5)
 
-  qt5_use_modules(base-svg Widgets Svg)
+  target_link_libraries(base-svg Qt5::Widgets Qt5::Svg Qt5::Xml)
 
 endif()
