=== base-transparency/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
-  find_package(Qt5Network REQUIRED)
 
 else()
 
@@ -70,6 +69,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-transparency Widgets Network)
+  target_link_libraries(base-transparency Qt5::Widgets)
 
 endif()
