=== base/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,6 @@
   Command.cpp
   CommandLineArguments.cpp
   CommandLineParser.cpp
-  Counter.cpp
   CounterMap.cpp
   CustomProcess.cpp
   Debug.cpp
@@ -44,6 +43,7 @@
   Key.cpp
   Option.cpp
   Options.cpp
+  ResourceMigration.cpp
   Singleton.cpp
   TimeStamp.cpp
   Util.cpp
@@ -65,6 +65,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base Widgets Network)
+  target_link_libraries(base Qt5::Widgets Qt5::Network)
 
 endif()
