=== src/CMakeLists.txt ===
--- 
+++ 
@@ -91,6 +91,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(Top Network Widgets Xml)
+  target_link_libraries(Top Qt5::Network Qt5::Widgets Qt5::Xml)
 
 endif()
