=== debian/changelog ===
qtop (2.3.4-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/rules: Add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to
    configure. (Closes: #1113451)

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Nov 2025 13:38:23 -0500

qtop (2.3.4-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * debian/control: Refresh packaging:
    + debhelper compat v13.
    + Standards-Version 4.6.2.
    + Apply "wrap-and-sort -abst".

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Dec 2023 11:45:49 -0500

qtop (2.3.4-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.1.5.
    - Depend on debhelper >= 11 instead of >= 10.
    - Update Vcs-* fields for Salsa migration.
  * Bump compat from 10 to 11.
  * debian/copyright:
    - Update copyright years.
  * Bump watch version to 4.
  * Remove trailing whitespaces from d/changelog.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 31 Jul 2018 16:52:12 +0800

qtop (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.0.
    - Depend on debhelper >= 10 instead of >= 9.
    - Depend on libqt5-dev instead of libqt4-dev (Closes: #875162).
    - Update Homepage field to use http (https one is dead)
    - Add missing dependencies on libqt5x11extras5-dev and
      qtbase5-private-dev.
  * Bump compat from 9 to 10.
  * debian/copyright:
    - Update copyright years.
  * Update manpage for new upstream release.
  * Refresh patches or new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 05 Oct 2017 13:13:36 +0200
