=== debian/control ===
Source: qtop
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libqt5x11extras5-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxcb-keysyms1-dev,
 pkgconf,
 qtbase5-dev,
 qtbase5-private-dev,
 xdg-utils,
Standards-Version: 4.7.2
Homepage: http://hugo.pereira.free.fr/software/
Vcs-Browser: https://salsa.debian.org/debian/qtop
Vcs-Git: https://salsa.debian.org/debian/qtop.git

Package: qtop
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: windowed version of the console top command
 qtop provides a dynamic real-time view of a running system. It has only
 a small fraction of the options provided by its console counterparts,
 but hopefully the most used ones.
