=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_auto_configure:
	        dh_auto_configure -- -DUSE_QT5=1 -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installdocs:
	dh_installdocs debian/COPYING-CMAKE-SCRIPTS
